[@celo/contractkit](../README.md) › [Globals](../globals.md) › ["base"](../modules/_base_.md) › [CeloContract](_base_.celocontract.md)

# Enumeration: CeloContract

## Index

### Enumeration members

* [Accounts](_base_.celocontract.md#accounts)
* [Attestations](_base_.celocontract.md#attestations)
* [BlockchainParameters](_base_.celocontract.md#blockchainparameters)
* [DoubleSigningSlasher](_base_.celocontract.md#doublesigningslasher)
* [DowntimeSlasher](_base_.celocontract.md#downtimeslasher)
* [ERC20](_base_.celocontract.md#erc20)
* [Election](_base_.celocontract.md#election)
* [EpochRewards](_base_.celocontract.md#epochrewards)
* [Escrow](_base_.celocontract.md#escrow)
* [Exchange](_base_.celocontract.md#exchange)
* [ExchangeBRL](_base_.celocontract.md#exchangebrl)
* [ExchangeEUR](_base_.celocontract.md#exchangeeur)
* [FeeCurrencyWhitelist](_base_.celocontract.md#feecurrencywhitelist)
* [Freezer](_base_.celocontract.md#freezer)
* [GasPriceMinimum](_base_.celocontract.md#gaspriceminimum)
* [GoldToken](_base_.celocontract.md#goldtoken)
* [Governance](_base_.celocontract.md#governance)
* [GrandaMento](_base_.celocontract.md#grandamento)
* [LockedGold](_base_.celocontract.md#lockedgold)
* [MetaTransactionWallet](_base_.celocontract.md#metatransactionwallet)
* [MetaTransactionWalletDeployer](_base_.celocontract.md#metatransactionwalletdeployer)
* [MultiSig](_base_.celocontract.md#multisig)
* [Random](_base_.celocontract.md#random)
* [Registry](_base_.celocontract.md#registry)
* [Reserve](_base_.celocontract.md#reserve)
* [SortedOracles](_base_.celocontract.md#sortedoracles)
* [StableToken](_base_.celocontract.md#stabletoken)
* [StableTokenBRL](_base_.celocontract.md#stabletokenbrl)
* [StableTokenEUR](_base_.celocontract.md#stabletokeneur)
* [TransferWhitelist](_base_.celocontract.md#transferwhitelist)
* [Validators](_base_.celocontract.md#validators)

## Enumeration members

###  Accounts

• **Accounts**: = "Accounts"

*Defined in [packages/sdk/contractkit/src/base.ts:2](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L2)*

___

###  Attestations

• **Attestations**: = "Attestations"

*Defined in [packages/sdk/contractkit/src/base.ts:3](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L3)*

___

###  BlockchainParameters

• **BlockchainParameters**: = "BlockchainParameters"

*Defined in [packages/sdk/contractkit/src/base.ts:4](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L4)*

___

###  DoubleSigningSlasher

• **DoubleSigningSlasher**: = "DoubleSigningSlasher"

*Defined in [packages/sdk/contractkit/src/base.ts:5](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L5)*

___

###  DowntimeSlasher

• **DowntimeSlasher**: = "DowntimeSlasher"

*Defined in [packages/sdk/contractkit/src/base.ts:6](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L6)*

___

###  ERC20

• **ERC20**: = "ERC20"

*Defined in [packages/sdk/contractkit/src/base.ts:9](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L9)*

___

###  Election

• **Election**: = "Election"

*Defined in [packages/sdk/contractkit/src/base.ts:7](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L7)*

___

###  EpochRewards

• **EpochRewards**: = "EpochRewards"

*Defined in [packages/sdk/contractkit/src/base.ts:8](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L8)*

___

###  Escrow

• **Escrow**: = "Escrow"

*Defined in [packages/sdk/contractkit/src/base.ts:10](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L10)*

___

###  Exchange

• **Exchange**: = "Exchange"

*Defined in [packages/sdk/contractkit/src/base.ts:11](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L11)*

___

###  ExchangeBRL

• **ExchangeBRL**: = "ExchangeBRL"

*Defined in [packages/sdk/contractkit/src/base.ts:13](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L13)*

___

###  ExchangeEUR

• **ExchangeEUR**: = "ExchangeEUR"

*Defined in [packages/sdk/contractkit/src/base.ts:12](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L12)*

___

###  FeeCurrencyWhitelist

• **FeeCurrencyWhitelist**: = "FeeCurrencyWhitelist"

*Defined in [packages/sdk/contractkit/src/base.ts:14](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L14)*

___

###  Freezer

• **Freezer**: = "Freezer"

*Defined in [packages/sdk/contractkit/src/base.ts:15](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L15)*

___

###  GasPriceMinimum

• **GasPriceMinimum**: = "GasPriceMinimum"

*Defined in [packages/sdk/contractkit/src/base.ts:16](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L16)*

___

###  GoldToken

• **GoldToken**: = "GoldToken"

*Defined in [packages/sdk/contractkit/src/base.ts:17](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L17)*

___

###  Governance

• **Governance**: = "Governance"

*Defined in [packages/sdk/contractkit/src/base.ts:18](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L18)*

___

###  GrandaMento

• **GrandaMento**: = "GrandaMento"

*Defined in [packages/sdk/contractkit/src/base.ts:19](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L19)*

___

###  LockedGold

• **LockedGold**: = "LockedGold"

*Defined in [packages/sdk/contractkit/src/base.ts:20](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L20)*

___

###  MetaTransactionWallet

• **MetaTransactionWallet**: = "MetaTransactionWallet"

*Defined in [packages/sdk/contractkit/src/base.ts:21](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L21)*

___

###  MetaTransactionWalletDeployer

• **MetaTransactionWalletDeployer**: = "MetaTransactionWalletDeployer"

*Defined in [packages/sdk/contractkit/src/base.ts:22](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L22)*

___

###  MultiSig

• **MultiSig**: = "MultiSig"

*Defined in [packages/sdk/contractkit/src/base.ts:23](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L23)*

___

###  Random

• **Random**: = "Random"

*Defined in [packages/sdk/contractkit/src/base.ts:24](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L24)*

___

###  Registry

• **Registry**: = "Registry"

*Defined in [packages/sdk/contractkit/src/base.ts:25](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L25)*

___

###  Reserve

• **Reserve**: = "Reserve"

*Defined in [packages/sdk/contractkit/src/base.ts:26](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L26)*

___

###  SortedOracles

• **SortedOracles**: = "SortedOracles"

*Defined in [packages/sdk/contractkit/src/base.ts:27](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L27)*

___

###  StableToken

• **StableToken**: = "StableToken"

*Defined in [packages/sdk/contractkit/src/base.ts:28](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L28)*

___

###  StableTokenBRL

• **StableTokenBRL**: = "StableTokenBRL"

*Defined in [packages/sdk/contractkit/src/base.ts:30](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L30)*

___

###  StableTokenEUR

• **StableTokenEUR**: = "StableTokenEUR"

*Defined in [packages/sdk/contractkit/src/base.ts:29](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L29)*

___

###  TransferWhitelist

• **TransferWhitelist**: = "TransferWhitelist"

*Defined in [packages/sdk/contractkit/src/base.ts:31](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L31)*

___

###  Validators

• **Validators**: = "Validators"

*Defined in [packages/sdk/contractkit/src/base.ts:32](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/base.ts#L32)*
