[@celo/contractkit](../README.md) › [Globals](../globals.md) › ["wrappers/Governance"](../modules/_wrappers_governance_.md) › [ProposalRecord](_wrappers_governance_.proposalrecord.md)

# Interface: ProposalRecord

## Hierarchy

* **ProposalRecord**

## Index

### Properties

* [approvals](_wrappers_governance_.proposalrecord.md#optional-approvals)
* [approved](_wrappers_governance_.proposalrecord.md#approved)
* [metadata](_wrappers_governance_.proposalrecord.md#metadata)
* [passed](_wrappers_governance_.proposalrecord.md#passed)
* [proposal](_wrappers_governance_.proposalrecord.md#proposal)
* [stage](_wrappers_governance_.proposalrecord.md#stage)
* [upvotes](_wrappers_governance_.proposalrecord.md#optional-upvotes)
* [votes](_wrappers_governance_.proposalrecord.md#optional-votes)

## Properties

### `Optional` approvals

• **approvals**? : *ApprovalStatus*

*Defined in [packages/sdk/contractkit/src/wrappers/Governance.ts:100](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Governance.ts#L100)*

___

###  approved

• **approved**: *boolean*

*Defined in [packages/sdk/contractkit/src/wrappers/Governance.ts:97](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Governance.ts#L97)*

___

###  metadata

• **metadata**: *[ProposalMetadata](_wrappers_governance_.proposalmetadata.md)*

*Defined in [packages/sdk/contractkit/src/wrappers/Governance.ts:94](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Governance.ts#L94)*

___

###  passed

• **passed**: *boolean*

*Defined in [packages/sdk/contractkit/src/wrappers/Governance.ts:98](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Governance.ts#L98)*

___

###  proposal

• **proposal**: *[Proposal](../modules/_wrappers_governance_.md#proposal)*

*Defined in [packages/sdk/contractkit/src/wrappers/Governance.ts:95](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Governance.ts#L95)*

___

###  stage

• **stage**: *[ProposalStage](../enums/_wrappers_governance_.proposalstage.md)*

*Defined in [packages/sdk/contractkit/src/wrappers/Governance.ts:96](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Governance.ts#L96)*

___

### `Optional` upvotes

• **upvotes**? : *BigNumber*

*Defined in [packages/sdk/contractkit/src/wrappers/Governance.ts:99](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Governance.ts#L99)*

___

### `Optional` votes

• **votes**? : *[Votes](_wrappers_governance_.votes.md)*

*Defined in [packages/sdk/contractkit/src/wrappers/Governance.ts:101](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Governance.ts#L101)*
