[@celo/encrypted-backup](../README.md) › ["utils"](../modules/_utils_.md) › [KDFInfo](_utils_.kdfinfo.md)

# Enumeration: KDFInfo

Info strings to separate distinct usages of the key derivation function

## Index

### Enumeration members

* [FINALIZE](_utils_.kdfinfo.md#finalize)
* [FUSE_KEY](_utils_.kdfinfo.md#fuse_key)
* [ODIS_AUTH_KEY](_utils_.kdfinfo.md#odis_auth_key)
* [ODIS_KEY_HARDENING](_utils_.kdfinfo.md#odis_key_hardening)
* [PASSWORD](_utils_.kdfinfo.md#password)
* [PBKDF](_utils_.kdfinfo.md#pbkdf)
* [SCRYPT](_utils_.kdfinfo.md#scrypt)

## Enumeration members

###  FINALIZE

• **FINALIZE**: = "Celo Backup Key Finalization"

*Defined in [packages/sdk/encrypted-backup/src/utils.ts:21](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/encrypted-backup/src/utils.ts#L21)*

___

###  FUSE_KEY

• **FUSE_KEY**: = "Celo Backup Fuse Key"

*Defined in [packages/sdk/encrypted-backup/src/utils.ts:16](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/encrypted-backup/src/utils.ts#L16)*

___

###  ODIS_AUTH_KEY

• **ODIS_AUTH_KEY**: = "Celo Backup ODIS Request Authorization Key"

*Defined in [packages/sdk/encrypted-backup/src/utils.ts:17](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/encrypted-backup/src/utils.ts#L17)*

___

###  ODIS_KEY_HARDENING

• **ODIS_KEY_HARDENING**: = "Celo Backup ODIS Key Hardening"

*Defined in [packages/sdk/encrypted-backup/src/utils.ts:18](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/encrypted-backup/src/utils.ts#L18)*

___

###  PASSWORD

• **PASSWORD**: = "Celo Backup Password and Nonce"

*Defined in [packages/sdk/encrypted-backup/src/utils.ts:15](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/encrypted-backup/src/utils.ts#L15)*

___

###  PBKDF

• **PBKDF**: = "Celo Backup PBKDF Hardening"

*Defined in [packages/sdk/encrypted-backup/src/utils.ts:19](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/encrypted-backup/src/utils.ts#L19)*

___

###  SCRYPT

• **SCRYPT**: = "Celo Backup scrypt Hardening"

*Defined in [packages/sdk/encrypted-backup/src/utils.ts:20](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/encrypted-backup/src/utils.ts#L20)*
